<html>
<head>
<title>Ogre::FactoryObj&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1FactoryObj.html">FactoryObj</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::FactoryObj&lt; T &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::FactoryObj" -->
<p>Abstract factory class.  
 <a href="classOgre_1_1FactoryObj.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreFactoryObj_8h_source.html">OgreFactoryObj.h</a>&gt;</code></p>

<p><a href="classOgre_1_1FactoryObj-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#aaebb437ff1300951ba83071c7a998725">~FactoryObj</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#a3d8aef92fb9e0eac7ed41167fb686a10">getType</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the factory type.  <a href="#a3d8aef92fb9e0eac7ed41167fb686a10"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual T *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#a0a4a382d89b01a0c24e27b02af71153a">createInstance</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new object.  <a href="#a0a4a382d89b01a0c24e27b02af71153a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1FactoryObj.html#a2cd5033cddd1a06f24cd02de9a0e9516">destroyInstance</a> (T *)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys an object which was created by this factory.  <a href="#a2cd5033cddd1a06f24cd02de9a0e9516"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br/>
class Ogre::FactoryObj&lt; T &gt;</h3>

<p>Abstract factory class. </p>
<p>Does nothing by itself, but derived classes can add functionality. </p>

<p>Definition at line <a class="el" href="OgreFactoryObj_8h_source.html#l00044">44</a> of file <a class="el" href="OgreFactoryObj_8h_source.html">OgreFactoryObj.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aaebb437ff1300951ba83071c7a998725"></a><!-- doxytag: member="Ogre::FactoryObj::~FactoryObj" ref="aaebb437ff1300951ba83071c7a998725" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1FactoryObj.html">FactoryObj</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFactoryObj_8h_source.html#l00047">47</a> of file <a class="el" href="OgreFactoryObj_8h_source.html">OgreFactoryObj.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0a4a382d89b01a0c24e27b02af71153a"></a><!-- doxytag: member="Ogre::FactoryObj::createInstance" ref="a0a4a382d89b01a0c24e27b02af71153a" args="(const String &amp;name)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual T* <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::<a class="el" href="classOgre_1_1FactoryObj.html#a0a4a382d89b01a0c24e27b02af71153a">createInstance</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Creates a new object. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>Name of the object to create </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>An object created by the factory. The type of the object depends on the factory. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html#abcd075e9f79664278929eae4fd3e5793">Ogre::BillboardParticleRendererFactory</a>, <a class="el" href="classOgre_1_1EmbeddedZipArchiveFactory.html#a6f6f93ac889b55a18172755d8ce05050">Ogre::EmbeddedZipArchiveFactory</a>, <a class="el" href="classOgre_1_1FileSystemArchiveFactory.html#a1495b7d2570e2076059bbf42e751f072">Ogre::FileSystemArchiveFactory</a>, and <a class="el" href="classOgre_1_1ZipArchiveFactory.html#a6cb4d739190da43608bcf7139c103e75">Ogre::ZipArchiveFactory</a>.</p>

</div>
</div>
<a class="anchor" id="a2cd5033cddd1a06f24cd02de9a0e9516"></a><!-- doxytag: member="Ogre::FactoryObj::destroyInstance" ref="a2cd5033cddd1a06f24cd02de9a0e9516" args="(T *)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::<a class="el" href="classOgre_1_1FactoryObj.html#a2cd5033cddd1a06f24cd02de9a0e9516">destroyInstance</a> </td>
          <td>(</td>
          <td class="paramtype">T *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroys an object which was created by this factory. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to the object to destroy </td></tr>
  </table>
  </dd>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html#ad48c6c653977305507e57f5afe8aad72">Ogre::BillboardParticleRendererFactory</a>, <a class="el" href="classOgre_1_1FileSystemArchiveFactory.html#ab5db375993d3e50c6edd47a4525d1502">Ogre::FileSystemArchiveFactory</a>, and <a class="el" href="classOgre_1_1ZipArchiveFactory.html#a78ccbf84f63fd51ef681bbbeacb383bd">Ogre::ZipArchiveFactory</a>.</p>

</div>
</div>
<a class="anchor" id="a3d8aef92fb9e0eac7ed41167fb686a10"></a><!-- doxytag: member="Ogre::FactoryObj::getType" ref="a3d8aef92fb9e0eac7ed41167fb686a10" args="() const =0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1FactoryObj.html">Ogre::FactoryObj</a>&lt; T &gt;::<a class="el" href="classOgre_1_1FactoryObj.html#a3d8aef92fb9e0eac7ed41167fb686a10">getType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the factory type. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The factory type. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRendererFactory.html#a0fd4d4cd6dbe59bdba7b1e72769a63e8">Ogre::BillboardParticleRendererFactory</a>, <a class="el" href="classOgre_1_1EmbeddedZipArchiveFactory.html#add996e508898f0295e968446faab07f3">Ogre::EmbeddedZipArchiveFactory</a>, <a class="el" href="classOgre_1_1FileSystemArchiveFactory.html#a4a5d1ea54b5f650ab5a8e117e4e64183">Ogre::FileSystemArchiveFactory</a>, and <a class="el" href="classOgre_1_1ZipArchiveFactory.html#a109a6253d0f18523e11520d150ef37fc">Ogre::ZipArchiveFactory</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreFactoryObj_8h_source.html">OgreFactoryObj.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
